Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1242791 - Extend support for MIPS architecture
Summary: Extend support for MIPS architecture
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsolv
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2015-07-14 08:13 UTC by Michal Toman
Modified: 2015-08-07 17:11 UTC (History)
6 users (show)

Fixed In Version: libsolv-0.6.11-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-07 17:11:34 UTC


Attachments (Terms of Use)
Add-support-for-mips-mips64-and-mips64el.patch (deleted)
2015-07-14 08:13 UTC, Michal Toman
no flags Details

Description Michal Toman 2015-07-14 08:13:53 UTC
Created attachment 1051689 [details]
Add-support-for-mips-mips64-and-mips64el.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires to extend MIPS support in libsolv

Actual results:
Current libsolv only contains mipsel architecture

Expected results:
libsolv works with mips, mipsel, mips64 and mips64el

Additional info:
Attaching a dist-git patch

Comment 1 Jan Kurik 2015-07-15 13:17:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Honza Silhan 2015-07-29 14:08:16 UTC
Can you make a pull request with your patch into upstream [1], please?

[1] https://github.com/openSUSE/libsolv/

Comment 3 Michal Toman 2015-08-04 07:35:38 UTC
https://github.com/openSUSE/libsolv/pull/96

Comment 4 Honza Silhan 2015-08-07 17:11:34 UTC
libsolv-0.6.11-3 containing this change is built in koji for rawhide and f23. It will be marked for updates soon.


Note You need to log in before you can comment on or make changes to this bug.